swSoundSpeed {oce} | R Documentation

## Seawater sound speed

### Description

Compute the seawater speed of sound.

### Usage

    swSoundSpeed(salinity, temperature=NULL, pressure=NULL,
        longitude=300, latitude=30, eos=getOption("oceEOS", default="gsw"))

### Arguments

`salinity` | either salinity [PSU] (in which case `temperature` and `pressure` must be provided) or a `ctd` object (in which case `salinity`, `temperature` and `pressure` are determined from the object, and must not be provided in the argument list).
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`, and the examples below.
`pressure` | pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`; see ‘Details’).
`latitude` | latitude of observation (only used if `eos="gsw"`; see ‘Details’).
`eos` | equation of state, either `"unesco"` [1,2] or `"gsw"` [3,4].

### Details

If the first argument is a `ctd` or `section` object, then values for salinity, etc., are extracted from it, and used for the calculation, and the corresponding arguments to the present function are ignored.

If `eos="unesco"`, the sound speed is calculated using the formulation in section 9 of Fofonoff and Millard (1983). If `eos="gsw"`, then the `gsw_sound_speed` function from the gsw package is used.

### Value

Sound speed [m/s].

### Author(s)

Dan Kelley

### References

Fofonoff, P. and R. C. Millard Jr, 1983. Algorithms for computation of fundamental properties of seawater. Unesco Technical Papers in Marine Science, 44, 53 pp. (See section 9.)

### Examples

    swSoundSpeed(40, T90fromT68(40), 10000) # 1731.995 (p48 of Fofonoff + Millard 1983)

[Package oce version 0.9-18 Index]